pip install jupyter: «Невозможно найти искатель для« pip._vendor.distlib »»

Я пытаюсь установить jupyter для использования IPython Notebook под Windows. Однако, если я запустил pip install jupyter я получаю

  Using cached pyzmq-15.4.0.zip Requirement already satisfied (use --upgrade to upgrade): wcwidth in c:\users\stefan\appdata\local\programs\python\python36\lib\site-packages (from prompt-toolkit<2.0.0,>=1.0.0->jupyter-console->jupyter) Installing collected packages: nbformat, nbconvert, pyzmq, jupyter-client, tornado, ipykernel, notebook, widgetsnbextension, ipywidgets, qtconsole, jupyter-console, jupyter Exception: Traceback (most recent call last): File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\basecommand.py", line 215, in main status = self.run(options, args) File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\commands\install.py", line 317, in run prefix=options.prefix_path, File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\req\req_set.py", line 742, in install **kwargs File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\req\req_install.py", line 831, in install self.move_wheel_files(self.source_dir, root=root, prefix=prefix) File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\req\req_install.py", line 1032, in move_wheel_files isolated=self.isolated, File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\wheel.py", line 493, in move_wheel_files maker.make_multiple(['%s = %s' % kv for kv in console.items()]) File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\_vendor\distlib\scripts.py", line 383, in make_multiple filenames.extend(self.make(specification, options)) File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\_vendor\distlib\scripts.py", line 372, in make self._make_script(entry, filenames, options=options) File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\_vendor\distlib\scripts.py", line 276, in _make_script self._write_script(scriptnames, shebang, script, filenames, ext) File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\_vendor\distlib\scripts.py", line 212, in _write_script launcher = self._get_launcher('t') File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\_vendor\distlib\scripts.py", line 351, in _get_launcher result = finder(distlib_package).find(name).bytes File "C:\Users\Stefan\AppData\Local\Programs\Python\Python36\lib\site-packages\pip\_vendor\distlib\resources.py", line 324, in finder raise DistlibException('Unable to locate finder for %r' % package) pip._vendor.distlib.DistlibException: Unable to locate finder for 'pip._vendor.distlib' 

Любая идея, что проблема здесь?

  • AttributeError: модуль 'numpy' не имеет атрибута 'flip'
  • Связь среды Conda с ноутбуком Jupyter
  • Как получить поведение профиля IPython из Jupyter 4.x?
  • Каков наилучший способ поделиться ноутбуками Jupyter с не-программистами?
  • Каков текущий правильный способ динамического обновления графиков в Jupyter / iPython?
  • Jupyter Notebook: интерактивный сюжет с виджетами
  • Поставка аргументов numpy site.cfg в pip
  • Как добавить ядро ​​на удаленную машину в IPython (Jupyter) Notebook?
  • Установка определенных версий пакета с помощью pip
  • Установка пакетов Python в Windows
  • Ошибка установки Python pip: неверная команда egg_info
  • Использование virtualenv с пробелами в пути
  • 2 Solutions collect form web for “pip install jupyter: «Невозможно найти искатель для« pip._vendor.distlib »»”

    Попробуйте удалить pip и установить get-pip.py. Кажется, это ошибка в версии 3.6 для Windows. https://github.com/pypa/pip/issues/3964

    удалите текущий пип, набрав:

     python -m pip uninstall pip setuptools 

    загрузите get-pip.py из https://bootstrap.pypa.io/get-pip.py и запустите его:

     python get-pip.py 
    Python - лучший язык программирования в мире.